NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
NXOpen.UF.UFPoint Member List

This is the complete list of members for NXOpen.UF.UFPoint, including all inherited members.

AskPointOutput(NXOpen.Tag point_feature_id, out NXOpen.Tag point_id)NXOpen.UF.UFPointinline
AsyncProcessMessage(IMessage msg, IMessageSink replySink)NXOpen.Utilities.NXRemotableObjectinline
Create3Scalars(NXOpen.Tag[] xyz, out NXOpen.Tag point_feature_id)NXOpen.UF.UFPointinline
CreateAlongCurve(NXOpen.Tag curve, NXOpen.Tag base_point, NXOpen.Tag t, UFSo.PointAlongCurveOption option, bool flip, out NXOpen.Tag point_feature_id)NXOpen.UF.UFPointinline
CreateAtConicCenter(NXOpen.Tag conic, out NXOpen.Tag point_feature_id)NXOpen.UF.UFPointinline
CreateAtIntersectionOfTwoCurves(NXOpen.Tag curve1, NXOpen.Tag curve2, NXOpen.Tag help_point1, NXOpen.Tag help_point2, out NXOpen.Tag point_feature_id)NXOpen.UF.UFPointinline
CreateOnArcAngle(NXOpen.Tag arc, NXOpen.Tag angle, NXOpen.Tag xform, out NXOpen.Tag point_feature_id)NXOpen.UF.UFPointinline
CreateOnCurve(NXOpen.Tag curve, NXOpen.Tag t, out NXOpen.Tag point_feature_id)NXOpen.UF.UFPointinline
CreateOnSurface(NXOpen.Tag surface, NXOpen.Tag u, NXOpen.Tag v, out NXOpen.Tag point_feature_id)NXOpen.UF.UFPointinline
CreateSurfaceCurveIntersection(NXOpen.Tag surface, NXOpen.Tag curve, NXOpen.Tag help_point1, NXOpen.Tag help_point2, out NXOpen.Tag point_feature_id)NXOpen.UF.UFPointinline
CreateWithOffset(NXOpen.Tag base_point, NXOpen.Tag offset, out NXOpen.Tag point_feature_id)NXOpen.UF.UFPointinline
initialize()NXOpen.Utilities.NXRemotableObjectinlineprotected
NextSinkNXOpen.Utilities.NXRemotableObject
SyncProcessMessage(IMessage msg)NXOpen.Utilities.NXRemotableObjectinline
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.